JsonApiDataBindingSourceCreator (Grails 4.0.6)
Date: 2020-12-19

Package: org.grails.web.databinding.bindingsource

## [Groovy] Class JsonApiDataBindingSourceCreator

- org.grails.web.databinding.bindingsource.JsonApiDataBindingSourceCreator

- Creates DataBindingSource objects from JSON API in the request body

  Since:
    3.2.1
  Authors:
    James Kleeh
  See Also:
    DataBindingSource
    DataBindingSourceCreator

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `protected static java.lang.String` | `ATTRIBUTES` |
    `protected static java.lang.String` | `DATA` |
    `protected static java.lang.String` | `ID` |
    `protected static java.lang.String` | `RELATIONSHIPS` |

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `protected java.util.Map` | `createJsonMap(java.lang.Object jsonElement)`
    `` | `MimeType[]` | `getMimeTypes()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class JsonDataBindingSourceCreator` | `createBindingSource, createBindingSourceCreationException, createCollectionBindingSource, createDataBindingSource, createJsonMap, getMimeTypes`
    `class AbstractRequestBodyDataBindingSourceCreator` | `createBindingSource, createBindingSource, createBindingSourceCreationException, createCollectionBindingSource, createCollectionBindingSource, createCollectionDataBindingSource, createDataBindingSource, getTargetType`
    `class DefaultDataBindingSourceCreator` | `createCollectionDataBindingSource, createDataBindingSource, createDataBindingSource, getMimeTypes, getTargetType`

- - ### Field Detail

    - #### protected static final java.lang.String ATTRIBUTES

    - #### protected static final java.lang.String DATA

    - #### protected static final java.lang.String ID

    - #### protected static final java.lang.String RELATIONSHIPS

  - ### Method Detail

    - #### @java.lang.Override protected java.util.Map createJsonMap(java.lang.Object jsonElement)

    - #### @java.lang.Override MimeType[] getMimeTypes()